import java.util.Scanner;

public class PassTwoDimensionalArray {
  public static void main(String[] args) {
    int[][] m = getArray(); // Pobieranie tablicy

    // Wyświetlanie sumy elementów
    System.out.println("\nSuma wszystkich elementów wynosi " + sum(m)); 
  }
  
  public static int[][] getArray() {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);
    
    // Podawanie wartości elementów tablicy
    int[][] m = new int[3][4];
    System.out.println("Podaj elementy z " + m.length + " wierszy i "
      + m[0].length + " kolumn: ");
    for (int i = 0; i < m.length; i++)
      for (int j = 0; j < m[i].length; j++)
        m[i][j] = input.nextInt();

    return m;
  }

  public static int sum(int[][] m) {
    int total = 0;
    for (int row = 0; row < m.length; row++) {
      for (int column = 0; column < m[row].length; column++) {
        total += m[row][column];
      }
    }

    return total;
  }
}
